/* ESTILOS CARRITO DE COMPRAS */
.carrito {
  position: fixed;
  z-index: 1000;
  bottom: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 70px;
  width: 70px;
  border-radius: 50%;
  border: 2px solid var(--primary);
  background: var(--primary);
  box-shadow: 0 0 10px rgba(148, 37, 61, 0.5);
  transition: transform 300ms ease;

  &:hover {
    cursor: pointer;
    transform: scale(1.1);
  }

  /* Icono que indica la cantidad de productos en lista */
  .cantidad {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 15px;
    left: 10px;
    height: 20px;
    width: 20px;
    text-align: center;
    font-size: 10px;
    font-weight: 700;
    color: var(--ligth);
    background-color: white;
    border: 2px solid var(--primary);
    border-radius: 150px;
  }

  .img-carrito {
    width: 30px;
  }
}

/* Estilo para el modal del carrito */
.productos-container {
  padding-top: 10px;
  max-height: 500px;
  overflow-y: auto;

  .tarjeta-producto {
    display: flex;
    margin-top: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);

    .img_producto {
      width: 200px;
      height: 100px;
      border-radius: var(--border-radius);
      box-shadow: var(--box-shadow-card-2);
      margin-right: 10px;
    }

    .detalles-producto {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      width: 100%;

      & label {
        font-size: 20px;
      }

      .precio {
        font-size: 20px;
        font-weight: 700;
        color: var(--primary);
      }
    }

    .botones {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      width: 150px;

      .cantidad {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        gap: 5px;

        & button {
          width: 30px;
          height: 30px;
          background: none;
          border: none;
          filter: none;
          color: var(--ligth);
          font-size: 18px;
          font-weight: 700;
          cursor: pointer;

          &:hover {
            color: var(--primary);
          }

          &:focus {
            box-shadow: none;
          }
        }
      }

      .acciones {
        display: flex;
        justify-content: flex-end;
        width: 100%;

        & button {
          width: 35px;
          height: 35px;
          border-radius: 50%;
          background: var(--primary);
          color: white;
          font-size: 20px;
          font-weight: 700;
          transition: transform 300ms ease;

          &:hover {
            cursor: pointer;
            transform: scale(1.1);
          }
        }
      }
    }
  }
}

.productos_vacio {
  margin-top: 10px;

  & span {
    font-size: 20px;
    font-weight: 700;
    color: var(--primary);
  }
}

.container-footer-elements {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;

  .total {
    float: left;
    font-size: 22px;
    font-weight: 700;
    color: var(--primary);
  }
}

@media (300px < width < 750px) {
  .carrito {
    bottom: 90px;
  }

  .container-footer-elements {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;

    .total {
      font-size: 16px;
    }

    .buttons_footer > .p-element > .p-button-icon {
      margin-right: 0;
    }

    .buttons_footer > .p-button {
      padding: .75rem !important;
    }

    .buttons_footer > .p-element > .p-button-label {
      display: none;
    }
  }
}
